Class: Aws::IoTWireless::Client

Inherits:
Seahorse::Client::Base show all
Includes:
ClientStubs
Defined in:
gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb

Overview

An API client for IoTWireless. To construct a client, you need to configure a :region and :credentials.

client = Aws::IoTWireless::Client.new(
  region: region_name,
  credentials: credentials,
  # ...
)

For details on configuring region and credentials see the developer guide.

See #initialize for a full list of supported configuration options.

Instance Attribute Summary

Attributes inherited from Seahorse::Client::Base

#config, #handlers

API Operations collapse

Instance Method Summary collapse

Methods included from ClientStubs

#api_requests, #stub_data, #stub_responses

Methods inherited from Seahorse::Client::Base

add_plugin, api, clear_plugins, define, new, #operation_names, plugins, remove_plugin, set_api, set_plugins

Methods included from Seahorse::Client::HandlerBuilder

#handle, #handle_request, #handle_response

Constructor Details

#initialize(options) ⇒ Client

Returns a new instance of Client.

Parameters:

  • options (Hash)

Options Hash (options):

  • :plugins (Array<Seahorse::Client::Plugin>) — default: []]

    A list of plugins to apply to the client. Each plugin is either a class name or an instance of a plugin class.

  • :credentials (required, Aws::CredentialProvider)

    Your AWS credentials used for authentication. This can be any class that includes and implements Aws::CredentialProvider, or instance of any one of the following classes:

    • Aws::Credentials - Used for configuring static, non-refreshing credentials.

    • Aws::SharedCredentials - Used for loading static credentials from a shared file, such as ~/.aws/config.

    • Aws::AssumeRoleCredentials - Used when you need to assume a role.

    • Aws::AssumeRoleWebIdentityCredentials - Used when you need to assume a role after providing credentials via the web.

    • Aws::SSOCredentials - Used for loading credentials from AWS SSO using an access token generated from aws login.

    • Aws::ProcessCredentials - Used for loading credentials from a process that outputs to stdout.

    • Aws::InstanceProfileCredentials - Used for loading credentials from an EC2 IMDS on an EC2 instance.

    • Aws::ECSCredentials - Used for loading credentials from instances running in ECS.

    • Aws::CognitoIdentityCredentials - Used for loading credentials from the Cognito Identity service.

    When :credentials are not configured directly, the following locations will be searched for credentials:

    • Aws.config[:credentials]

    • The :access_key_id, :secret_access_key, :session_token, and :account_id options.

    • ENV['AWS_ACCESS_KEY_ID'], ENV['AWS_SECRET_ACCESS_KEY'], ENV['AWS_SESSION_TOKEN'], and ENV['AWS_ACCOUNT_ID'].

    • ~/.aws/credentials

    • ~/.aws/config

    • EC2/ECS IMDS instance profile - When used by default, the timeouts are very aggressive. Construct and pass an instance of Aws::InstanceProfileCredentials or Aws::ECSCredentials to enable retries and extended timeouts. Instance profile credential fetching can be disabled by setting ENV['AWS_EC2_METADATA_DISABLED'] to true.

  • :region (required, String)

    The AWS region to connect to. The configured :region is used to determine the service :endpoint. When not passed, a default :region is searched for in the following locations:

    • Aws.config[:region]
    • ENV['AWS_REGION']
    • ENV['AMAZON_REGION']
    • ENV['AWS_DEFAULT_REGION']
    • ~/.aws/credentials
    • ~/.aws/config
  • :access_key_id (String)
  • :account_id (String)
  • :active_endpoint_cache (Boolean) — default: false

    When set to true, a thread polling for endpoints will be running in the background every 60 secs (default). Defaults to false.

  • :adaptive_retry_wait_to_fill (Boolean) — default: true

    Used only in adaptive retry mode. When true, the request will sleep until there is sufficent client side capacity to retry the request. When false, the request will raise a RetryCapacityNotAvailableError and will not retry instead of sleeping.

  • :auth_scheme_preference (Array<String>)

    A list of preferred authentication schemes to use when making a request. Supported values are: sigv4, sigv4a, httpBearerAuth, and noAuth. When set using ENV['AWS_AUTH_SCHEME_PREFERENCE'] or in shared config as auth_scheme_preference, the value should be a comma-separated list.

  • :client_side_monitoring (Boolean) — default: false

    When true, client-side metrics will be collected for all API requests from this client.

  • :client_side_monitoring_client_id (String) — default: ""

    Allows you to provide an identifier for this client which will be attached to all generated client side metrics. Defaults to an empty string.

  • :client_side_monitoring_host (String) — default: "127.0.0.1"

    Allows you to specify the DNS hostname or IPv4 or IPv6 address that the client side monitoring agent is running on, where client metrics will be published via UDP.

  • :client_side_monitoring_port (Integer) — default: 31000

    Required for publishing client metrics. The port that the client side monitoring agent is running on, where client metrics will be published via UDP.

  • :client_side_monitoring_publisher (Aws::ClientSideMonitoring::Publisher) — default: Aws::ClientSideMonitoring::Publisher

    Allows you to provide a custom client-side monitoring publisher class. By default, will use the Client Side Monitoring Agent Publisher.

  • :convert_params (Boolean) — default: true

    When true, an attempt is made to coerce request parameters into the required types.

  • :correct_clock_skew (Boolean) — default: true

    Used only in standard and adaptive retry modes. Specifies whether to apply a clock skew correction and retry requests with skewed client clocks.

  • :defaults_mode (String) — default: "legacy"

    See DefaultsModeConfiguration for a list of the accepted modes and the configuration defaults that are included.

  • :disable_host_prefix_injection (Boolean) — default: false

    When true, the SDK will not prepend the modeled host prefix to the endpoint.

  • :disable_request_compression (Boolean) — default: false

    When set to 'true' the request body will not be compressed for supported operations.

  • :endpoint (String, URI::HTTPS, URI::HTTP)

    Normally you should not configure the :endpoint option directly. This is normally constructed from the :region option. Configuring :endpoint is normally reserved for connecting to test or custom endpoints. The endpoint should be a URI formatted like:

    'http://example.com'
    'https://example.com'
    'http://example.com:123'
    
  • :endpoint_cache_max_entries (Integer) — default: 1000

    Used for the maximum size limit of the LRU cache storing endpoints data for endpoint discovery enabled operations. Defaults to 1000.

  • :endpoint_cache_max_threads (Integer) — default: 10

    Used for the maximum threads in use for polling endpoints to be cached, defaults to 10.

  • :endpoint_cache_poll_interval (Integer) — default: 60

    When :endpoint_discovery and :active_endpoint_cache is enabled, Use this option to config the time interval in seconds for making requests fetching endpoints information. Defaults to 60 sec.

  • :endpoint_discovery (Boolean) — default: false

    When set to true, endpoint discovery will be enabled for operations when available.

  • :ignore_configured_endpoint_urls (Boolean)

    Setting to true disables use of endpoint URLs provided via environment variables and the shared configuration file.

  • :log_formatter (Aws::Log::Formatter) — default: Aws::Log::Formatter.default

    The log formatter.

  • :log_level (Symbol) — default: :info

    The log level to send messages to the :logger at.

  • :logger (Logger)

    The Logger instance to send log messages to. If this option is not set, logging will be disabled.

  • :max_attempts (Integer) — default: 3

    An integer representing the maximum number attempts that will be made for a single request, including the initial attempt. For example, setting this value to 5 will result in a request being retried up to 4 times. Used in standard and adaptive retry modes.

  • :profile (String) — default: "default"

    Used when loading credentials from the shared credentials file at HOME/.aws/credentials. When not specified, 'default' is used.

  • :request_checksum_calculation (String) — default: "when_supported"

    Determines when a checksum will be calculated for request payloads. Values are:

    • when_supported - (default) When set, a checksum will be calculated for all request payloads of operations modeled with the httpChecksum trait where requestChecksumRequired is true and/or a requestAlgorithmMember is modeled.
    • when_required - When set, a checksum will only be calculated for request payloads of operations modeled with the httpChecksum trait where requestChecksumRequired is true or where a requestAlgorithmMember is modeled and supplied.
  • :request_min_compression_size_bytes (Integer) — default: 10240

    The minimum size in bytes that triggers compression for request bodies. The value must be non-negative integer value between 0 and 10485780 bytes inclusive.

  • :response_checksum_validation (String) — default: "when_supported"

    Determines when checksum validation will be performed on response payloads. Values are:

    • when_supported - (default) When set, checksum validation is performed on all response payloads of operations modeled with the httpChecksum trait where responseAlgorithms is modeled, except when no modeled checksum algorithms are supported.
    • when_required - When set, checksum validation is not performed on response payloads of operations unless the checksum algorithm is supported and the requestValidationModeMember member is set to ENABLED.
  • :retry_backoff (Proc)

    A proc or lambda used for backoff. Defaults to 2**retries * retry_base_delay. This option is only used in the legacy retry mode.

  • :retry_base_delay (Float) — default: 0.3

    The base delay in seconds used by the default backoff function. This option is only used in the legacy retry mode.

  • :retry_jitter (Symbol) — default: :none

    A delay randomiser function used by the default backoff function. Some predefined functions can be referenced by name - :none, :equal, :full, otherwise a Proc that takes and returns a number. This option is only used in the legacy retry mode.

    @see https://www.awsarchitectureblog.com/2015/03/backoff.html

  • :retry_limit (Integer) — default: 3

    The maximum number of times to retry failed requests. Only ~ 500 level server errors and certain ~ 400 level client errors are retried. Generally, these are throttling errors, data checksum errors, networking errors, timeout errors, auth errors, endpoint discovery, and errors from expired credentials. This option is only used in the legacy retry mode.

  • :retry_max_delay (Integer) — default: 0

    The maximum number of seconds to delay between retries (0 for no limit) used by the default backoff function. This option is only used in the legacy retry mode.

  • :retry_mode (String) — default: "legacy"

    Specifies which retry algorithm to use. Values are:

    • legacy - The pre-existing retry behavior. This is the default value if no retry mode is provided.

    • standard - A standardized set of retry rules across the AWS SDKs. This includes support for retry quotas, which limit the number of unsuccessful retries a client can make.

    • adaptive - A retry mode that includes all the functionality of standard mode along with automatic client side throttling.

  • :sdk_ua_app_id (String)

    A unique and opaque application ID that is appended to the User-Agent header as app/sdk_ua_app_id. It should have a maximum length of 50. This variable is sourced from environment variable AWS_SDK_UA_APP_ID or the shared config profile attribute sdk_ua_app_id.

  • :secret_access_key (String)
  • :session_token (String)
  • :sigv4a_signing_region_set (Array)

    A list of regions that should be signed with SigV4a signing. When not passed, a default :sigv4a_signing_region_set is searched for in the following locations:

    • Aws.config[:sigv4a_signing_region_set]
    • ENV['AWS_SIGV4A_SIGNING_REGION_SET']
    • ~/.aws/config
  • :stub_responses (Boolean) — default: false

    Causes the client to return stubbed responses. By default fake responses are generated and returned. You can specify the response data to return or errors to raise by calling ClientStubs#stub_responses. See ClientStubs for more information.

    Please note When response stubbing is enabled, no HTTP requests are made, and retries are disabled.

  • :telemetry_provider (Aws::Telemetry::TelemetryProviderBase) — default: Aws::Telemetry::NoOpTelemetryProvider

    Allows you to provide a telemetry provider, which is used to emit telemetry data. By default, uses NoOpTelemetryProvider which will not record or emit any telemetry data. The SDK supports the following telemetry providers:

    • OpenTelemetry (OTel) - To use the OTel provider, install and require the opentelemetry-sdk gem and then, pass in an instance of a Aws::Telemetry::OTelProvider for telemetry provider.
  • :token_provider (Aws::TokenProvider)

    Your Bearer token used for authentication. This can be any class that includes and implements Aws::TokenProvider, or instance of any one of the following classes:

    • Aws::StaticTokenProvider - Used for configuring static, non-refreshing tokens.

    • Aws::SSOTokenProvider - Used for loading tokens from AWS SSO using an access token generated from aws login.

    When :token_provider is not configured directly, the Aws::TokenProviderChain will be used to search for tokens configured for your profile in shared configuration files.

  • :use_dualstack_endpoint (Boolean)

    When set to true, dualstack enabled endpoints (with .aws TLD) will be used if available.

  • :use_fips_endpoint (Boolean)

    When set to true, fips compatible endpoints will be used if available. When a fips region is used, the region is normalized and this config is set to true.

  • :validate_params (Boolean) — default: true

    When true, request parameters are validated before sending the request.

  • :endpoint_provider (Aws::IoTWireless::EndpointProvider)

    The endpoint provider used to resolve endpoints. Any object that responds to #resolve_endpoint(parameters) where parameters is a Struct similar to Aws::IoTWireless::EndpointParameters.

  • :http_continue_timeout (Float) — default: 1

    The number of seconds to wait for a 100-continue response before sending the request body. This option has no effect unless the request has "Expect" header set to "100-continue". Defaults to nil which disables this behaviour. This value can safely be set per request on the session.

  • :http_idle_timeout (Float) — default: 5

    The number of seconds a connection is allowed to sit idle before it is considered stale. Stale connections are closed and removed from the pool before making a request.

  • :http_open_timeout (Float) — default: 15

    The default number of seconds to wait for response data. This value can safely be set per-request on the session.

  • :http_proxy (URI::HTTP, String)

    A proxy to send requests through. Formatted like 'http://proxy.com:123'.

  • :http_read_timeout (Float) — default: 60

    The default number of seconds to wait for response data. This value can safely be set per-request on the session.

  • :http_wire_trace (Boolean) — default: false

    When true, HTTP debug output will be sent to the :logger.

  • :on_chunk_received (Proc)

    When a Proc object is provided, it will be used as callback when each chunk of the response body is received. It provides three arguments: the chunk, the number of bytes received, and the total number of bytes in the response (or nil if the server did not send a content-length).

  • :on_chunk_sent (Proc)

    When a Proc object is provided, it will be used as callback when each chunk of the request body is sent. It provides three arguments: the chunk, the number of bytes read from the body, and the total number of bytes in the body.

  • :raise_response_errors (Boolean) — default: true

    When true, response errors are raised.

  • :ssl_ca_bundle (String)

    Full path to the SSL certificate authority bundle file that should be used when verifying peer certificates. If you do not pass :ssl_ca_bundle or :ssl_ca_directory the the system default will be used if available.

  • :ssl_ca_directory (String)

    Full path of the directory that contains the unbundled SSL certificate authority files for verifying peer certificates. If you do not pass :ssl_ca_bundle or :ssl_ca_directory the the system default will be used if available.

  • :ssl_ca_store (String)

    Sets the X509::Store to verify peer certificate.

  • :ssl_cert (OpenSSL::X509::Certificate)

    Sets a client certificate when creating http connections.

  • :ssl_key (OpenSSL::PKey)

    Sets a client key when creating http connections.

  • :ssl_timeout (Float)

    Sets the SSL timeout in seconds

  • :ssl_verify_peer (Boolean) — default: true

    When true, SSL peer certificates are verified when establishing a connection.



471
472
473
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 471

def initialize(*args)
  super
end

Instance Method Details

#associate_aws_account_with_partner_account(params = {}) ⇒ Types::AssociateAwsAccountWithPartnerAccountResponse

Associates a partner account with your AWS account.

Examples:

Request syntax with placeholder values


resp = client.({
  sidewalk: { # required
    amazon_id: "AmazonId",
    app_server_private_key: "AppServerPrivateKey",
  },
  client_request_token: "ClientRequestToken",
  tags: [
    {
      key: "TagKey", # required
      value: "TagValue", # required
    },
  ],
})

Response structure


resp.sidewalk.amazon_id #=> String
resp.sidewalk.app_server_private_key #=> String
resp.arn #=> String

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :sidewalk (required, Types::SidewalkAccountInfo)

    The Sidewalk account credentials.

  • :client_request_token (String)

    Each resource must have a unique client request token. The client token is used to implement idempotency. It ensures that the request completes no more than one time. If you retry a request with the same token and the same parameters, the request will complete successfully. However, if you try to create a new resource using the same token but different parameters, an HTTP 409 conflict occurs. If you omit this value, AWS SDKs will automatically generate a unique client request. For more information about idempotency, see Ensuring idempotency in Amazon EC2 API requests.

    A suitable default value is auto-generated. You should normally not need to pass this option.**

  • :tags (Array<Types::Tag>)

    The tags to attach to the specified resource. Tags are metadata that you can use to manage a resource.

Returns:



533
534
535
536
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 533

def (params = {}, options = {})
  req = build_request(:associate_aws_account_with_partner_account, params)
  req.send_request(options)
end

#associate_multicast_group_with_fuota_task(params = {}) ⇒ Struct

Associate a multicast group with a FUOTA task.

Examples:

Request syntax with placeholder values


resp = client.associate_multicast_group_with_fuota_task({
  id: "FuotaTaskId", # required
  multicast_group_id: "MulticastGroupId", # required
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of a FUOTA task.

  • :multicast_group_id (required, String)

    The ID of the multicast group.

Returns:

  • (Struct)

    Returns an empty response.



557
558
559
560
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 557

def associate_multicast_group_with_fuota_task(params = {}, options = {})
  req = build_request(:associate_multicast_group_with_fuota_task, params)
  req.send_request(options)
end

#associate_wireless_device_with_fuota_task(params = {}) ⇒ Struct

Associate a wireless device with a FUOTA task.

Examples:

Request syntax with placeholder values


resp = client.associate_wireless_device_with_fuota_task({
  id: "FuotaTaskId", # required
  wireless_device_id: "WirelessDeviceId", # required
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of a FUOTA task.

  • :wireless_device_id (required, String)

    The ID of the wireless device.

Returns:

  • (Struct)

    Returns an empty response.



581
582
583
584
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 581

def associate_wireless_device_with_fuota_task(params = {}, options = {})
  req = build_request(:associate_wireless_device_with_fuota_task, params)
  req.send_request(options)
end

#associate_wireless_device_with_multicast_group(params = {}) ⇒ Struct

Associates a wireless device with a multicast group.

Examples:

Request syntax with placeholder values


resp = client.associate_wireless_device_with_multicast_group({
  id: "MulticastGroupId", # required
  wireless_device_id: "WirelessDeviceId", # required
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of the multicast group.

  • :wireless_device_id (required, String)

    The ID of the wireless device.

Returns:

  • (Struct)

    Returns an empty response.



605
606
607
608
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 605

def associate_wireless_device_with_multicast_group(params = {}, options = {})
  req = build_request(:associate_wireless_device_with_multicast_group, params)
  req.send_request(options)
end

#associate_wireless_device_with_thing(params = {}) ⇒ Struct

Associates a wireless device with a thing.

Examples:

Request syntax with placeholder values


resp = client.associate_wireless_device_with_thing({
  id: "WirelessDeviceId", # required
  thing_arn: "ThingArn", # required
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of the resource to update.

  • :thing_arn (required, String)

    The ARN of the thing to associate with the wireless device.

Returns:

  • (Struct)

    Returns an empty response.



629
630
631
632
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 629

def associate_wireless_device_with_thing(params = {}, options = {})
  req = build_request(:associate_wireless_device_with_thing, params)
  req.send_request(options)
end

#associate_wireless_gateway_with_certificate(params = {}) ⇒ Types::AssociateWirelessGatewayWithCertificateResponse

Associates a wireless gateway with a certificate.

Examples:

Request syntax with placeholder values


resp = client.associate_wireless_gateway_with_certificate({
  id: "WirelessGatewayId", # required
  iot_certificate_id: "IotCertificateId", # required
})

Response structure


resp.iot_certificate_id #=> String

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of the resource to update.

  • :iot_certificate_id (required, String)

    The ID of the certificate to associate with the wireless gateway.

Returns:



659
660
661
662
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 659

def associate_wireless_gateway_with_certificate(params = {}, options = {})
  req = build_request(:associate_wireless_gateway_with_certificate, params)
  req.send_request(options)
end

#associate_wireless_gateway_with_thing(params = {}) ⇒ Struct

Associates a wireless gateway with a thing.

Examples:

Request syntax with placeholder values


resp = client.associate_wireless_gateway_with_thing({
  id: "WirelessGatewayId", # required
  thing_arn: "ThingArn", # required
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of the resource to update.

  • :thing_arn (required, String)

    The ARN of the thing to associate with the wireless gateway.

Returns:

  • (Struct)

    Returns an empty response.



683
684
685
686
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 683

def associate_wireless_gateway_with_thing(params = {}, options = {})
  req = build_request(:associate_wireless_gateway_with_thing, params)
  req.send_request(options)
end

#cancel_multicast_group_session(params = {}) ⇒ Struct

Cancels an existing multicast group session.

Examples:

Request syntax with placeholder values


resp = client.cancel_multicast_group_session({
  id: "MulticastGroupId", # required
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of the multicast group.

Returns:

  • (Struct)

    Returns an empty response.



703
704
705
706
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 703

def cancel_multicast_group_session(params = {}, options = {})
  req = build_request(:cancel_multicast_group_session, params)
  req.send_request(options)
end

#create_destination(params = {}) ⇒ Types::CreateDestinationResponse

Creates a new destination that maps a device message to an AWS IoT rule.

Examples:

Request syntax with placeholder values


resp = client.create_destination({
  name: "DestinationName", # required
  expression_type: "RuleName", # required, accepts RuleName, MqttTopic
  expression: "Expression", # required
  description: "Description",
  role_arn: "RoleArn", # required
  tags: [
    {
      key: "TagKey", # required
      value: "TagValue", # required
    },
  ],
  client_request_token: "ClientRequestToken",
})

Response structure


resp.arn #=> String
resp.name #=> String

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :name (required, String)

    The name of the new resource.

  • :expression_type (required, String)

    The type of value in Expression.

  • :expression (required, String)

    The rule name or topic rule to send messages to.

  • :description (String)

    The description of the new resource.

  • :role_arn (required, String)

    The ARN of the IAM Role that authorizes the destination.

  • :tags (Array<Types::Tag>)

    The tags to attach to the new destination. Tags are metadata that you can use to manage a resource.

  • :client_request_token (String)

    Each resource must have a unique client request token. The client token is used to implement idempotency. It ensures that the request completes no more than one time. If you retry a request with the same token and the same parameters, the request will complete successfully. However, if you try to create a new resource using the same token but different parameters, an HTTP 409 conflict occurs. If you omit this value, AWS SDKs will automatically generate a unique client request. For more information about idempotency, see Ensuring idempotency in Amazon EC2 API requests.

    A suitable default value is auto-generated. You should normally not need to pass this option.**

Returns:



777
778
779
780
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 777

def create_destination(params = {}, options = {})
  req = build_request(:create_destination, params)
  req.send_request(options)
end

#create_device_profile(params = {}) ⇒ Types::CreateDeviceProfileResponse

Creates a new device profile.

Examples:

Request syntax with placeholder values


resp = client.create_device_profile({
  name: "DeviceProfileName",
  lo_ra_wan: {
    supports_class_b: false,
    class_b_timeout: 1,
    ping_slot_period: 1,
    ping_slot_dr: 1,
    ping_slot_freq: 1,
    supports_class_c: false,
    class_c_timeout: 1,
    mac_version: "MacVersion",
    reg_params_revision: "RegParamsRevision",
    rx_delay_1: 1,
    rx_dr_offset_1: 1,
    rx_data_rate_2: 1,
    rx_freq_2: 1,
    factory_preset_freqs_list: [1],
    max_eirp: 1,
    max_duty_cycle: 1,
    rf_region: "RfRegion",
    supports_join: false,
    supports_32_bit_f_cnt: false,
  },
  tags: [
    {
      key: "TagKey", # required
      value: "TagValue", # required
    },
  ],
  client_request_token: "ClientRequestToken",
  sidewalk: {
  },
})

Response structure


resp.arn #=> String
resp.id #=> String

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :name (String)

    The name of the new resource.

    The following special characters aren't accepted: <>^#~$

  • :lo_ra_wan (Types::LoRaWANDeviceProfile)

    The device profile information to use to create the device profile.

  • :tags (Array<Types::Tag>)

    The tags to attach to the new device profile. Tags are metadata that you can use to manage a resource.

  • :client_request_token (String)

    Each resource must have a unique client request token. The client token is used to implement idempotency. It ensures that the request completes no more than one time. If you retry a request with the same token and the same parameters, the request will complete successfully. However, if you try to create a new resource using the same token but different parameters, an HTTP 409 conflict occurs. If you omit this value, AWS SDKs will automatically generate a unique client request. For more information about idempotency, see Ensuring idempotency in Amazon EC2 API requests.

    A suitable default value is auto-generated. You should normally not need to pass this option.**

  • :sidewalk (Types::SidewalkCreateDeviceProfile)

    The Sidewalk-related information for creating the Sidewalk device profile.

Returns:



868
869
870
871
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 868

def create_device_profile(params = {}, options = {})
  req = build_request(:create_device_profile, params)
  req.send_request(options)
end

#create_fuota_task(params = {}) ⇒ Types::CreateFuotaTaskResponse

Creates a FUOTA task.

Examples:

Request syntax with placeholder values


resp = client.create_fuota_task({
  name: "FuotaTaskName",
  description: "Description",
  client_request_token: "ClientRequestToken",
  lo_ra_wan: {
    rf_region: "EU868", # accepts EU868, US915, AU915, AS923-1, AS923-2, AS923-3, AS923-4, EU433, CN470, CN779, RU864, KR920, IN865
  },
  firmware_update_image: "FirmwareUpdateImage", # required
  firmware_update_role: "FirmwareUpdateRole", # required
  tags: [
    {
      key: "TagKey", # required
      value: "TagValue", # required
    },
  ],
  redundancy_percent: 1,
  fragment_size_bytes: 1,
  fragment_interval_ms: 1,
  descriptor: "FileDescriptor",
})

Response structure


resp.arn #=> String
resp.id #=> String

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :name (String)

    The name of a FUOTA task.

  • :description (String)

    The description of the new resource.

  • :client_request_token (String)

    Each resource must have a unique client request token. The client token is used to implement idempotency. It ensures that the request completes no more than one time. If you retry a request with the same token and the same parameters, the request will complete successfully. However, if you try to create a new resource using the same token but different parameters, an HTTP 409 conflict occurs. If you omit this value, AWS SDKs will automatically generate a unique client request. For more information about idempotency, see Ensuring idempotency in Amazon EC2 API requests.

    A suitable default value is auto-generated. You should normally not need to pass this option.**

  • :lo_ra_wan (Types::LoRaWANFuotaTask)

    The LoRaWAN information used with a FUOTA task.

  • :firmware_update_image (required, String)

    The S3 URI points to a firmware update image that is to be used with a FUOTA task.

  • :firmware_update_role (required, String)

    The firmware update role that is to be used with a FUOTA task.

  • :tags (Array<Types::Tag>)

    The tag to attach to the specified resource. Tags are metadata that you can use to manage a resource.

  • :redundancy_percent (Integer)

    The percentage of the added fragments that are redundant. For example, if the size of the firmware image file is 100 bytes and the fragment size is 10 bytes, with RedundancyPercent set to 50(%), the final number of encoded fragments is (100 / 10) + (100 / 10 * 50%) = 15.

  • :fragment_size_bytes (Integer)

    The size of each fragment in bytes. This parameter is supported only for FUOTA tasks with multicast groups.

  • :fragment_interval_ms (Integer)

    The interval for sending fragments in milliseconds, rounded to the nearest second.

    This interval only determines the timing for when the Cloud sends down the fragments to yor device. There can be a delay for when your device will receive these fragments. This delay depends on the device's class and the communication delay with the cloud.

  • :descriptor (String)

    The descriptor is the metadata about the file that is transferred to the device using FUOTA, such as the software version. It is a binary field encoded in base64.

Returns:



974
975
976
977
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 974

def create_fuota_task(params = {}, options = {})
  req = build_request(:create_fuota_task, params)
  req.send_request(options)
end

#create_multicast_group(params = {}) ⇒ Types::CreateMulticastGroupResponse

Creates a multicast group.

Examples:

Request syntax with placeholder values


resp = client.create_multicast_group({
  name: "MulticastGroupName",
  description: "Description",
  client_request_token: "ClientRequestToken",
  lo_ra_wan: { # required
    rf_region: "EU868", # accepts EU868, US915, AU915, AS923-1, AS923-2, AS923-3, AS923-4, EU433, CN470, CN779, RU864, KR920, IN865
    dl_class: "ClassB", # accepts ClassB, ClassC
    participating_gateways: {
      gateway_list: ["WirelessGatewayId"],
      transmission_interval: 1,
    },
    default_session_parameters: {
      dl_dr: 1,
      dl_freq: 1,
    },
  },
  tags: [
    {
      key: "TagKey", # required
      value: "TagValue", # required
    },
  ],
})

Response structure


resp.arn #=> String
resp.id #=> String

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :name (String)

    The name of the multicast group.

  • :description (String)

    The description of the multicast group.

  • :client_request_token (String)

    Each resource must have a unique client request token. The client token is used to implement idempotency. It ensures that the request completes no more than one time. If you retry a request with the same token and the same parameters, the request will complete successfully. However, if you try to create a new resource using the same token but different parameters, an HTTP 409 conflict occurs. If you omit this value, AWS SDKs will automatically generate a unique client request. For more information about idempotency, see Ensuring idempotency in Amazon EC2 API requests.

    A suitable default value is auto-generated. You should normally not need to pass this option.**

  • :lo_ra_wan (required, Types::LoRaWANMulticast)

    The LoRaWAN information that is to be used with the multicast group.

  • :tags (Array<Types::Tag>)

    The tag to attach to the specified resource. Tags are metadata that you can use to manage a resource.

Returns:



1050
1051
1052
1053
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1050

def create_multicast_group(params = {}, options = {})
  req = build_request(:create_multicast_group, params)
  req.send_request(options)
end

#create_network_analyzer_configuration(params = {}) ⇒ Types::CreateNetworkAnalyzerConfigurationResponse

Creates a new network analyzer configuration.

Examples:

Request syntax with placeholder values


resp = client.create_network_analyzer_configuration({
  name: "NetworkAnalyzerConfigurationName", # required
  trace_content: {
    wireless_device_frame_info: "ENABLED", # accepts ENABLED, DISABLED
    log_level: "INFO", # accepts INFO, ERROR, DISABLED
    multicast_frame_info: "ENABLED", # accepts ENABLED, DISABLED
  },
  wireless_devices: ["WirelessDeviceId"],
  wireless_gateways: ["WirelessGatewayId"],
  description: "Description",
  tags: [
    {
      key: "TagKey", # required
      value: "TagValue", # required
    },
  ],
  client_request_token: "ClientRequestToken",
  multicast_groups: ["MulticastGroupId"],
})

Response structure


resp.arn #=> String
resp.name #=> String

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :name (required, String)

    Name of the network analyzer configuration.

  • :trace_content (Types::TraceContent)

    Trace content for your wireless devices, gateways, and multicast groups.

  • :wireless_devices (Array<String>)

    Wireless device resources to add to the network analyzer configuration. Provide the WirelessDeviceId of the resource to add in the input array.

  • :wireless_gateways (Array<String>)

    Wireless gateway resources to add to the network analyzer configuration. Provide the WirelessGatewayId of the resource to add in the input array.

  • :description (String)

    The description of the new resource.

  • :tags (Array<Types::Tag>)

    The tag to attach to the specified resource. Tags are metadata that you can use to manage a resource.

  • :client_request_token (String)

    Each resource must have a unique client request token. The client token is used to implement idempotency. It ensures that the request completes no more than one time. If you retry a request with the same token and the same parameters, the request will complete successfully. However, if you try to create a new resource using the same token but different parameters, an HTTP 409 conflict occurs. If you omit this value, AWS SDKs will automatically generate a unique client request. For more information about idempotency, see Ensuring idempotency in Amazon EC2 API requests.

    A suitable default value is auto-generated. You should normally not need to pass this option.**

  • :multicast_groups (Array<String>)

    Multicast Group resources to add to the network analyzer configruation. Provide the MulticastGroupId of the resource to add in the input array.

Returns:



1138
1139
1140
1141
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1138

def create_network_analyzer_configuration(params = {}, options = {})
  req = build_request(:create_network_analyzer_configuration, params)
  req.send_request(options)
end

#create_service_profile(params = {}) ⇒ Types::CreateServiceProfileResponse

Creates a new service profile.

Examples:

Request syntax with placeholder values


resp = client.create_service_profile({
  name: "ServiceProfileName",
  lo_ra_wan: {
    add_gw_metadata: false,
    dr_min: 1,
    dr_max: 1,
    pr_allowed: false,
    ra_allowed: false,
    tx_power_index_min: 1,
    tx_power_index_max: 1,
    nb_trans_min: 1,
    nb_trans_max: 1,
  },
  tags: [
    {
      key: "TagKey", # required
      value: "TagValue", # required
    },
  ],
  client_request_token: "ClientRequestToken",
})

Response structure


resp.arn #=> String
resp.id #=> String

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :name (String)

    The name of the new resource.

    The following special characters aren't accepted: <>^#~$

  • :lo_ra_wan (Types::LoRaWANServiceProfile)

    The service profile information to use to create the service profile.

  • :tags (Array<Types::Tag>)

    The tags to attach to the new service profile. Tags are metadata that you can use to manage a resource.

  • :client_request_token (String)

    Each resource must have a unique client request token. The client token is used to implement idempotency. It ensures that the request completes no more than one time. If you retry a request with the same token and the same parameters, the request will complete successfully. However, if you try to create a new resource using the same token but different parameters, an HTTP 409 conflict occurs. If you omit this value, AWS SDKs will automatically generate a unique client request. For more information about idempotency, see Ensuring idempotency in Amazon EC2 API requests.

    A suitable default value is auto-generated. You should normally not need to pass this option.**

Returns:



1213
1214
1215
1216
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1213

def create_service_profile(params = {}, options = {})
  req = build_request(:create_service_profile, params)
  req.send_request(options)
end

#create_wireless_device(params = {}) ⇒ Types::CreateWirelessDeviceResponse

Provisions a wireless device.

Examples:

Request syntax with placeholder values


resp = client.create_wireless_device({
  type: "Sidewalk", # required, accepts Sidewalk, LoRaWAN
  name: "WirelessDeviceName",
  description: "Description",
  destination_name: "DestinationName", # required
  client_request_token: "ClientRequestToken",
  lo_ra_wan: {
    dev_eui: "DevEui",
    device_profile_id: "DeviceProfileId",
    service_profile_id: "ServiceProfileId",
    otaa_v1_1: {
      app_key: "AppKey",
      nwk_key: "NwkKey",
      join_eui: "JoinEui",
    },
    otaa_v1_0_x: {
      app_key: "AppKey",
      app_eui: "AppEui",
      join_eui: "JoinEui",
      gen_app_key: "GenAppKey",
    },
    abp_v1_1: {
      dev_addr: "DevAddr",
      session_keys: {
        f_nwk_s_int_key: "FNwkSIntKey",
        s_nwk_s_int_key: "SNwkSIntKey",
        nwk_s_enc_key: "NwkSEncKey",
        app_s_key: "AppSKey",
      },
      f_cnt_start: 1,
    },
    abp_v1_0_x: {
      dev_addr: "DevAddr",
      session_keys: {
        nwk_s_key: "NwkSKey",
        app_s_key: "AppSKey",
      },
      f_cnt_start: 1,
    },
    f_ports: {
      fuota: 1,
      multicast: 1,
      clock_sync: 1,
      positioning: {
        clock_sync: 1,
        stream: 1,
        gnss: 1,
      },
      applications: [
        {
          f_port: 1,
          type: "SemtechGeolocation", # accepts SemtechGeolocation
          destination_name: "DestinationName",
        },
      ],
    },
  },
  tags: [
    {
      key: "TagKey", # required
      value: "TagValue", # required
    },
  ],
  positioning: "Enabled", # accepts Enabled, Disabled
  sidewalk: {
    device_profile_id: "DeviceProfileId",
    positioning: {
      destination_name: "DestinationName",
    },
    sidewalk_manufacturing_sn: "SidewalkManufacturingSn",
  },
})

Response structure


resp.arn #=> String
resp.id #=> String

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :type (required, String)

    The wireless device type.

  • :name (String)

    The name of the new resource.

    The following special characters aren't accepted: <>^#~$

  • :description (String)

    The description of the new resource.

  • :destination_name (required, String)

    The name of the destination to assign to the new wireless device.

  • :client_request_token (String)

    Each resource must have a unique client request token. The client token is used to implement idempotency. It ensures that the request completes no more than one time. If you retry a request with the same token and the same parameters, the request will complete successfully. However, if you try to create a new resource using the same token but different parameters, an HTTP 409 conflict occurs. If you omit this value, AWS SDKs will automatically generate a unique client request. For more information about idempotency, see Ensuring idempotency in Amazon EC2 API requests.

    A suitable default value is auto-generated. You should normally not need to pass this option.**

  • :lo_ra_wan (Types::LoRaWANDevice)

    The device configuration information to use to create the wireless device.

  • :tags (Array<Types::Tag>)

    The tags to attach to the new wireless device. Tags are metadata that you can use to manage a resource.

  • :positioning (String)

    The integration status of the Device Location feature for LoRaWAN and Sidewalk devices.

  • :sidewalk (Types::SidewalkCreateWirelessDevice)

    The device configuration information to use to create the Sidewalk device.

Returns:



1357
1358
1359
1360
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1357

def create_wireless_device(params = {}, options = {})
  req = build_request(:create_wireless_device, params)
  req.send_request(options)
end

#create_wireless_gateway(params = {}) ⇒ Types::CreateWirelessGatewayResponse

Provisions a wireless gateway.

When provisioning a wireless gateway, you might run into duplication errors for the following reasons.

  • If you specify a GatewayEui value that already exists.

  • If you used a ClientRequestToken with the same parameters within the last 10 minutes.

To avoid this error, make sure that you use unique identifiers and parameters for each request within the specified time period.

Examples:

Request syntax with placeholder values


resp = client.create_wireless_gateway({
  name: "WirelessGatewayName",
  description: "Description",
  lo_ra_wan: { # required
    gateway_eui: "GatewayEui",
    rf_region: "RfRegion",
    join_eui_filters: [
      ["JoinEui"],
    ],
    net_id_filters: ["NetId"],
    sub_bands: [1],
    beaconing: {
      data_rate: 1,
      frequencies: [1],
    },
    max_eirp: 1.0,
  },
  tags: [
    {
      key: "TagKey", # required
      value: "TagValue", # required
    },
  ],
  client_request_token: "ClientRequestToken",
})

Response structure


resp.arn #=> String
resp.id #=> String

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :name (String)

    The name of the new resource.

    The following special characters aren't accepted: <>^#~$

  • :description (String)

    The description of the new resource.

  • :lo_ra_wan (required, Types::LoRaWANGateway)

    The gateway configuration information to use to create the wireless gateway.

  • :tags (Array<Types::Tag>)

    The tags to attach to the new wireless gateway. Tags are metadata that you can use to manage a resource.

  • :client_request_token (String)

    Each resource must have a unique client request token. The client token is used to implement idempotency. It ensures that the request completes no more than one time. If you retry a request with the same token and the same parameters, the request will complete successfully. However, if you try to create a new resource using the same token but different parameters, an HTTP 409 conflict occurs. If you omit this value, AWS SDKs will automatically generate a unique client request. For more information about idempotency, see Ensuring idempotency in Amazon EC2 API requests.

    A suitable default value is auto-generated. You should normally not need to pass this option.**

Returns:



1453
1454
1455
1456
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1453

def create_wireless_gateway(params = {}, options = {})
  req = build_request(:create_wireless_gateway, params)
  req.send_request(options)
end

#create_wireless_gateway_task(params = {}) ⇒ Types::CreateWirelessGatewayTaskResponse

Creates a task for a wireless gateway.

Examples:

Request syntax with placeholder values


resp = client.create_wireless_gateway_task({
  id: "WirelessGatewayId", # required
  wireless_gateway_task_definition_id: "WirelessGatewayTaskDefinitionId", # required
})

Response structure


resp.wireless_gateway_task_definition_id #=> String
resp.status #=> String, one of "PENDING", "IN_PROGRESS", "FIRST_RETRY", "SECOND_RETRY", "COMPLETED", "FAILED"

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of the resource to update.

  • :wireless_gateway_task_definition_id (required, String)

    The ID of the WirelessGatewayTaskDefinition.

Returns:



1485
1486
1487
1488
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1485

def create_wireless_gateway_task(params = {}, options = {})
  req = build_request(:create_wireless_gateway_task, params)
  req.send_request(options)
end

#create_wireless_gateway_task_definition(params = {}) ⇒ Types::CreateWirelessGatewayTaskDefinitionResponse

Creates a gateway task definition.

Examples:

Request syntax with placeholder values


resp = client.create_wireless_gateway_task_definition({
  auto_create_tasks: false, # required
  name: "WirelessGatewayTaskName",
  update: {
    update_data_source: "UpdateDataSource",
    update_data_role: "UpdateDataSource",
    lo_ra_wan: {
      update_signature: "UpdateSignature",
      sig_key_crc: 1,
      current_version: {
        package_version: "PackageVersion",
        model: "Model",
        station: "Station",
      },
      update_version: {
        package_version: "PackageVersion",
        model: "Model",
        station: "Station",
      },
    },
  },
  client_request_token: "ClientRequestToken",
  tags: [
    {
      key: "TagKey", # required
      value: "TagValue", # required
    },
  ],
})

Response structure


resp.id #=> String
resp.arn #=> String

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :auto_create_tasks (required, Boolean)

    Whether to automatically create tasks using this task definition for all gateways with the specified current version. If false, the task must me created by calling CreateWirelessGatewayTask.

  • :name (String)

    The name of the new resource.

  • :update (Types::UpdateWirelessGatewayTaskCreate)

    Information about the gateways to update.

  • :client_request_token (String)

    Each resource must have a unique client request token. The client token is used to implement idempotency. It ensures that the request completes no more than one time. If you retry a request with the same token and the same parameters, the request will complete successfully. However, if you try to create a new resource using the same token but different parameters, an HTTP 409 conflict occurs. If you omit this value, AWS SDKs will automatically generate a unique client request. For more information about idempotency, see Ensuring idempotency in Amazon EC2 API requests.

    A suitable default value is auto-generated. You should normally not need to pass this option.**

  • :tags (Array<Types::Tag>)

    The tags to attach to the specified resource. Tags are metadata that you can use to manage a resource.

Returns:



1569
1570
1571
1572
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1569

def create_wireless_gateway_task_definition(params = {}, options = {})
  req = build_request(:create_wireless_gateway_task_definition, params)
  req.send_request(options)
end

#delete_destination(params = {}) ⇒ Struct

Deletes a destination.

Examples:

Request syntax with placeholder values


resp = client.delete_destination({
  name: "DestinationName", # required
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :name (required, String)

    The name of the resource to delete.

Returns:

  • (Struct)

    Returns an empty response.



1589
1590
1591
1592
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1589

def delete_destination(params = {}, options = {})
  req = build_request(:delete_destination, params)
  req.send_request(options)
end

#delete_device_profile(params = {}) ⇒ Struct

Deletes a device profile.

Examples:

Request syntax with placeholder values


resp = client.delete_device_profile({
  id: "DeviceProfileId", # required
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of the resource to delete.

Returns:

  • (Struct)

    Returns an empty response.



1609
1610
1611
1612
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1609

def delete_device_profile(params = {}, options = {})
  req = build_request(:delete_device_profile, params)
  req.send_request(options)
end

#delete_fuota_task(params = {}) ⇒ Struct

Deletes a FUOTA task.

Examples:

Request syntax with placeholder values


resp = client.delete_fuota_task({
  id: "FuotaTaskId", # required
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of a FUOTA task.

Returns:

  • (Struct)

    Returns an empty response.



1629
1630
1631
1632
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1629

def delete_fuota_task(params = {}, options = {})
  req = build_request(:delete_fuota_task, params)
  req.send_request(options)
end

#delete_multicast_group(params = {}) ⇒ Struct

Deletes a multicast group if it is not in use by a FUOTA task.

Examples:

Request syntax with placeholder values


resp = client.delete_multicast_group({
  id: "MulticastGroupId", # required
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of the multicast group.

Returns:

  • (Struct)

    Returns an empty response.



1649
1650
1651
1652
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1649

def delete_multicast_group(params = {}, options = {})
  req = build_request(:delete_multicast_group, params)
  req.send_request(options)
end

#delete_network_analyzer_configuration(params = {}) ⇒ Struct

Deletes a network analyzer configuration.

Examples:

Request syntax with placeholder values


resp = client.delete_network_analyzer_configuration({
  configuration_name: "NetworkAnalyzerConfigurationName", # required
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :configuration_name (required, String)

    Name of the network analyzer configuration.

Returns:

  • (Struct)

    Returns an empty response.



1669
1670
1671
1672
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1669

def delete_network_analyzer_configuration(params = {}, options = {})
  req = build_request(:delete_network_analyzer_configuration, params)
  req.send_request(options)
end

#delete_queued_messages(params = {}) ⇒ Struct

Remove queued messages from the downlink queue.

Examples:

Request syntax with placeholder values


resp = client.delete_queued_messages({
  id: "WirelessDeviceId", # required
  message_id: "MessageId", # required
  wireless_device_type: "Sidewalk", # accepts Sidewalk, LoRaWAN
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of a given wireless device for which downlink messages will be deleted.

  • :message_id (required, String)

    If message ID is "*", it cleares the entire downlink queue for a given device, specified by the wireless device ID. Otherwise, the downlink message with the specified message ID will be deleted.

  • :wireless_device_type (String)

    The wireless device type, which can be either Sidewalk or LoRaWAN.

Returns:

  • (Struct)

    Returns an empty response.



1700
1701
1702
1703
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1700

def delete_queued_messages(params = {}, options = {})
  req = build_request(:delete_queued_messages, params)
  req.send_request(options)
end

#delete_service_profile(params = {}) ⇒ Struct

Deletes a service profile.

Examples:

Request syntax with placeholder values


resp = client.delete_service_profile({
  id: "ServiceProfileId", # required
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of the resource to delete.

Returns:

  • (Struct)

    Returns an empty response.



1720
1721
1722
1723
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1720

def delete_service_profile(params = {}, options = {})
  req = build_request(:delete_service_profile, params)
  req.send_request(options)
end

#delete_wireless_device(params = {}) ⇒ Struct

Deletes a wireless device.

Examples:

Request syntax with placeholder values


resp = client.delete_wireless_device({
  id: "WirelessDeviceId", # required
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of the resource to delete.

Returns:

  • (Struct)

    Returns an empty response.



1740
1741
1742
1743
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1740

def delete_wireless_device(params = {}, options = {})
  req = build_request(:delete_wireless_device, params)
  req.send_request(options)
end

#delete_wireless_device_import_task(params = {}) ⇒ Struct

Delete an import task.

Examples:

Request syntax with placeholder values


resp = client.delete_wireless_device_import_task({
  id: "ImportTaskId", # required
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The unique identifier of the import task to be deleted.

Returns:

  • (Struct)

    Returns an empty response.



1760
1761
1762
1763
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1760

def delete_wireless_device_import_task(params = {}, options = {})
  req = build_request(:delete_wireless_device_import_task, params)
  req.send_request(options)
end

#delete_wireless_gateway(params = {}) ⇒ Struct

Deletes a wireless gateway.

When deleting a wireless gateway, you might run into duplication errors for the following reasons.

  • If you specify a GatewayEui value that already exists.

  • If you used a ClientRequestToken with the same parameters within the last 10 minutes.

To avoid this error, make sure that you use unique identifiers and parameters for each request within the specified time period.

Examples:

Request syntax with placeholder values


resp = client.delete_wireless_gateway({
  id: "WirelessGatewayId", # required
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of the resource to delete.

Returns:

  • (Struct)

    Returns an empty response.



1793
1794
1795
1796
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1793

def delete_wireless_gateway(params = {}, options = {})
  req = build_request(:delete_wireless_gateway, params)
  req.send_request(options)
end

#delete_wireless_gateway_task(params = {}) ⇒ Struct

Deletes a wireless gateway task.

Examples:

Request syntax with placeholder values


resp = client.delete_wireless_gateway_task({
  id: "WirelessGatewayId", # required
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of the resource to delete.

Returns:

  • (Struct)

    Returns an empty response.



1813
1814
1815
1816
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1813

def delete_wireless_gateway_task(params = {}, options = {})
  req = build_request(:delete_wireless_gateway_task, params)
  req.send_request(options)
end

#delete_wireless_gateway_task_definition(params = {}) ⇒ Struct

Deletes a wireless gateway task definition. Deleting this task definition does not affect tasks that are currently in progress.

Examples:

Request syntax with placeholder values


resp = client.delete_wireless_gateway_task_definition({
  id: "WirelessGatewayTaskDefinitionId", # required
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of the resource to delete.

Returns:

  • (Struct)

    Returns an empty response.



1834
1835
1836
1837
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1834

def delete_wireless_gateway_task_definition(params = {}, options = {})
  req = build_request(:delete_wireless_gateway_task_definition, params)
  req.send_request(options)
end

#deregister_wireless_device(params = {}) ⇒ Struct

Deregister a wireless device from AWS IoT Wireless.

Examples:

Request syntax with placeholder values


resp = client.deregister_wireless_device({
  identifier: "Identifier", # required
  wireless_device_type: "Sidewalk", # accepts Sidewalk, LoRaWAN
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :identifier (required, String)

    The identifier of the wireless device to deregister from AWS IoT Wireless.

  • :wireless_device_type (String)

    The type of wireless device to deregister from AWS IoT Wireless, which can be LoRaWAN or Sidewalk.

Returns:

  • (Struct)

    Returns an empty response.



1860
1861
1862
1863
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1860

def deregister_wireless_device(params = {}, options = {})
  req = build_request(:deregister_wireless_device, params)
  req.send_request(options)
end

#disassociate_aws_account_from_partner_account(params = {}) ⇒ Struct

Disassociates your AWS account from a partner account. If PartnerAccountId and PartnerType are null, disassociates your AWS account from all partner accounts.

Examples:

Request syntax with placeholder values


resp = client.({
  partner_account_id: "PartnerAccountId", # required
  partner_type: "Sidewalk", # required, accepts Sidewalk
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :partner_account_id (required, String)

    The partner account ID to disassociate from the AWS account.

  • :partner_type (required, String)

    The partner type.

Returns:

  • (Struct)

    Returns an empty response.



1886
1887
1888
1889
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1886

def (params = {}, options = {})
  req = build_request(:disassociate_aws_account_from_partner_account, params)
  req.send_request(options)
end

#disassociate_multicast_group_from_fuota_task(params = {}) ⇒ Struct

Disassociates a multicast group from a FUOTA task.

Examples:

Request syntax with placeholder values


resp = client.disassociate_multicast_group_from_fuota_task({
  id: "FuotaTaskId", # required
  multicast_group_id: "MulticastGroupId", # required
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of a FUOTA task.

  • :multicast_group_id (required, String)

    The ID of the multicast group.

Returns:

  • (Struct)

    Returns an empty response.



1910
1911
1912
1913
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1910

def disassociate_multicast_group_from_fuota_task(params = {}, options = {})
  req = build_request(:disassociate_multicast_group_from_fuota_task, params)
  req.send_request(options)
end

#disassociate_wireless_device_from_fuota_task(params = {}) ⇒ Struct

Disassociates a wireless device from a FUOTA task.

Examples:

Request syntax with placeholder values


resp = client.disassociate_wireless_device_from_fuota_task({
  id: "FuotaTaskId", # required
  wireless_device_id: "WirelessDeviceId", # required
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of a FUOTA task.

  • :wireless_device_id (required, String)

    The ID of the wireless device.

Returns:

  • (Struct)

    Returns an empty response.



1934
1935
1936
1937
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1934

def disassociate_wireless_device_from_fuota_task(params = {}, options = {})
  req = build_request(:disassociate_wireless_device_from_fuota_task, params)
  req.send_request(options)
end

#disassociate_wireless_device_from_multicast_group(params = {}) ⇒ Struct

Disassociates a wireless device from a multicast group.

Examples:

Request syntax with placeholder values


resp = client.disassociate_wireless_device_from_multicast_group({
  id: "MulticastGroupId", # required
  wireless_device_id: "WirelessDeviceId", # required
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of the multicast group.

  • :wireless_device_id (required, String)

    The ID of the wireless device.

Returns:

  • (Struct)

    Returns an empty response.



1958
1959
1960
1961
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1958

def disassociate_wireless_device_from_multicast_group(params = {}, options = {})
  req = build_request(:disassociate_wireless_device_from_multicast_group, params)
  req.send_request(options)
end

#disassociate_wireless_device_from_thing(params = {}) ⇒ Struct

Disassociates a wireless device from its currently associated thing.

Examples:

Request syntax with placeholder values


resp = client.disassociate_wireless_device_from_thing({
  id: "WirelessDeviceId", # required
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of the resource to update.

Returns:

  • (Struct)

    Returns an empty response.



1978
1979
1980
1981
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1978

def disassociate_wireless_device_from_thing(params = {}, options = {})
  req = build_request(:disassociate_wireless_device_from_thing, params)
  req.send_request(options)
end

#disassociate_wireless_gateway_from_certificate(params = {}) ⇒ Struct

Disassociates a wireless gateway from its currently associated certificate.

Examples:

Request syntax with placeholder values


resp = client.disassociate_wireless_gateway_from_certificate({
  id: "WirelessGatewayId", # required
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of the resource to update.

Returns:

  • (Struct)

    Returns an empty response.



1999
2000
2001
2002
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 1999

def disassociate_wireless_gateway_from_certificate(params = {}, options = {})
  req = build_request(:disassociate_wireless_gateway_from_certificate, params)
  req.send_request(options)
end

#disassociate_wireless_gateway_from_thing(params = {}) ⇒ Struct

Disassociates a wireless gateway from its currently associated thing.

Examples:

Request syntax with placeholder values


resp = client.disassociate_wireless_gateway_from_thing({
  id: "WirelessGatewayId", # required
})

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of the resource to update.

Returns:

  • (Struct)

    Returns an empty response.



2019
2020
2021
2022
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 2019

def disassociate_wireless_gateway_from_thing(params = {}, options = {})
  req = build_request(:disassociate_wireless_gateway_from_thing, params)
  req.send_request(options)
end

#get_destination(params = {}) ⇒ Types::GetDestinationResponse

Gets information about a destination.

Examples:

Request syntax with placeholder values


resp = client.get_destination({
  name: "DestinationName", # required
})

Response structure


resp.arn #=> String
resp.name #=> String
resp.expression #=> String
resp.expression_type #=> String, one of "RuleName", "MqttTopic"
resp.description #=> String
resp.role_arn #=> String

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :name (required, String)

    The name of the resource to get.

Returns:



2055
2056
2057
2058
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 2055

def get_destination(params = {}, options = {})
  req = build_request(:get_destination, params)
  req.send_request(options)
end

#get_device_profile(params = {}) ⇒ Types::GetDeviceProfileResponse

Gets information about a device profile.

Examples:

Request syntax with placeholder values


resp = client.get_device_profile({
  id: "DeviceProfileId", # required
})

Response structure


resp.arn #=> String
resp.name #=> String
resp.id #=> String
resp.lo_ra_wan.supports_class_b #=> Boolean
resp.lo_ra_wan.class_b_timeout #=> Integer
resp.lo_ra_wan.ping_slot_period #=> Integer
resp.lo_ra_wan.ping_slot_dr #=> Integer
resp.lo_ra_wan.ping_slot_freq #=> Integer
resp.lo_ra_wan.supports_class_c #=> Boolean
resp.lo_ra_wan.class_c_timeout #=> Integer
resp.lo_ra_wan.mac_version #=> String
resp.lo_ra_wan.reg_params_revision #=> String
resp.lo_ra_wan.rx_delay_1 #=> Integer
resp.lo_ra_wan.rx_dr_offset_1 #=> Integer
resp.lo_ra_wan.rx_data_rate_2 #=> Integer
resp.lo_ra_wan.rx_freq_2 #=> Integer
resp.lo_ra_wan.factory_preset_freqs_list #=> Array
resp.lo_ra_wan.factory_preset_freqs_list[0] #=> Integer
resp.lo_ra_wan.max_eirp #=> Integer
resp.lo_ra_wan.max_duty_cycle #=> Integer
resp.lo_ra_wan.rf_region #=> String
resp.lo_ra_wan.supports_join #=> Boolean
resp.lo_ra_wan.supports_32_bit_f_cnt #=> Boolean
resp.sidewalk.application_server_public_key #=> String
resp.sidewalk.qualification_status #=> Boolean
resp.sidewalk. #=> Array
resp.sidewalk.[0].certificate_id #=> String
resp.sidewalk.[0].max_allowed_signature #=> Integer
resp.sidewalk.[0].factory_support #=> Boolean
resp.sidewalk.[0].ap_id #=> String
resp.sidewalk.[0].device_type_id #=> String

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of the resource to get.

Returns:



2115
2116
2117
2118
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 2115

def get_device_profile(params = {}, options = {})
  req = build_request(:get_device_profile, params)
  req.send_request(options)
end

#get_event_configuration_by_resource_types(params = {}) ⇒ Types::GetEventConfigurationByResourceTypesResponse

Get the event configuration based on resource types.

Examples:

Response structure


resp.device_registration_state.sidewalk.wireless_device_event_topic #=> String, one of "Enabled", "Disabled"
resp.proximity.sidewalk.wireless_device_event_topic #=> String, one of "Enabled", "Disabled"
resp.join.lo_ra_wan.wireless_device_event_topic #=> String, one of "Enabled", "Disabled"
resp.connection_status.lo_ra_wan.wireless_gateway_event_topic #=> String, one of "Enabled", "Disabled"
resp.message_delivery_status.sidewalk.wireless_device_event_topic #=> String, one of "Enabled", "Disabled"

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Returns:



2140
2141
2142
2143
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 2140

def get_event_configuration_by_resource_types(params = {}, options = {})
  req = build_request(:get_event_configuration_by_resource_types, params)
  req.send_request(options)
end

#get_fuota_task(params = {}) ⇒ Types::GetFuotaTaskResponse

Gets information about a FUOTA task.

Examples:

Request syntax with placeholder values


resp = client.get_fuota_task({
  id: "FuotaTaskId", # required
})

Response structure


resp.arn #=> String
resp.id #=> String
resp.status #=> String, one of "Pending", "FuotaSession_Waiting", "In_FuotaSession", "FuotaDone", "Delete_Waiting"
resp.name #=> String
resp.description #=> String
resp.lo_ra_wan.rf_region #=> String
resp.lo_ra_wan.start_time #=> Time
resp.firmware_update_image #=> String
resp.firmware_update_role #=> String
resp.created_at #=> Time
resp.redundancy_percent #=> Integer
resp.fragment_size_bytes #=> Integer
resp.fragment_interval_ms #=> Integer
resp.descriptor #=> String

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of a FUOTA task.

Returns:



2191
2192
2193
2194
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 2191

def get_fuota_task(params = {}, options = {})
  req = build_request(:get_fuota_task, params)
  req.send_request(options)
end

#get_log_levels_by_resource_types(params = {}) ⇒ Types::GetLogLevelsByResourceTypesResponse

Returns current default log levels or log levels by resource types. Based on the resource type, log levels can be returned for wireless device, wireless gateway, or FUOTA task log options.

Examples:

Response structure


resp.default_log_level #=> String, one of "INFO", "ERROR", "DISABLED"
resp.wireless_gateway_log_options #=> Array
resp.wireless_gateway_log_options[0].type #=> String, one of "LoRaWAN"
resp.wireless_gateway_log_options[0].log_level #=> String, one of "INFO", "ERROR", "DISABLED"
resp.wireless_gateway_log_options[0].events #=> Array
resp.wireless_gateway_log_options[0].events[0].event #=> String, one of "CUPS_Request", "Certificate"
resp.wireless_gateway_log_options[0].events[0].log_level #=> String, one of "INFO", "ERROR", "DISABLED"
resp.wireless_device_log_options #=> Array
resp.wireless_device_log_options[0].type #=> String, one of "Sidewalk", "LoRaWAN"
resp.wireless_device_log_options[0].log_level #=> String, one of "INFO", "ERROR", "DISABLED"
resp.wireless_device_log_options[0].events #=> Array
resp.wireless_device_log_options[0].events[0].event #=> String, one of "Join", "Rejoin", "Uplink_Data", "Downlink_Data", "Registration"
resp.wireless_device_log_options[0].events[0].log_level #=> String, one of "INFO", "ERROR", "DISABLED"
resp.fuota_task_log_options #=> Array
resp.fuota_task_log_options[0].type #=> String, one of "LoRaWAN"
resp.fuota_task_log_options[0].log_level #=> String, one of "INFO", "ERROR", "DISABLED"
resp.fuota_task_log_options[0].events #=> Array
resp.fuota_task_log_options[0].events[0].event #=> String, one of "Fuota"
resp.fuota_task_log_options[0].events[0].log_level #=> String, one of "INFO", "ERROR", "DISABLED"

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Returns:



2231
2232
2233
2234
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 2231

def get_log_levels_by_resource_types(params = {}, options = {})
  req = build_request(:get_log_levels_by_resource_types, params)
  req.send_request(options)
end

#get_metric_configuration(params = {}) ⇒ Types::GetMetricConfigurationResponse

Get the metric configuration status for this AWS account.

Examples:

Response structure


resp.summary_metric.status #=> String, one of "Enabled", "Disabled"

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Returns:



2248
2249
2250
2251
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 2248

def get_metric_configuration(params = {}, options = {})
  req = build_request(:get_metric_configuration, params)
  req.send_request(options)
end

#get_metrics(params = {}) ⇒ Types::GetMetricsResponse

Get the summary metrics for this AWS account.

Examples:

Request syntax with placeholder values


resp = client.get_metrics({
  summary_metric_queries: [
    {
      query_id: "MetricQueryId",
      metric_name: "DeviceRSSI", # accepts DeviceRSSI, DeviceSNR, DeviceRoamingRSSI, DeviceRoamingSNR, DeviceUplinkCount, DeviceDownlinkCount, DeviceUplinkLostCount, DeviceUplinkLostRate, DeviceJoinRequestCount, DeviceJoinAcceptCount, DeviceRoamingUplinkCount, DeviceRoamingDownlinkCount, GatewayUpTime, GatewayDownTime, GatewayRSSI, GatewaySNR, GatewayUplinkCount, GatewayDownlinkCount, GatewayJoinRequestCount, GatewayJoinAcceptCount, AwsAccountUplinkCount, AwsAccountDownlinkCount, AwsAccountUplinkLostCount, AwsAccountUplinkLostRate, AwsAccountJoinRequestCount, AwsAccountJoinAcceptCount, AwsAccountRoamingUplinkCount, AwsAccountRoamingDownlinkCount, AwsAccountDeviceCount, AwsAccountGatewayCount, AwsAccountActiveDeviceCount, AwsAccountActiveGatewayCount
      dimensions: [
        {
          name: "DeviceId", # accepts DeviceId, GatewayId
          value: "DimensionValue",
        },
      ],
      aggregation_period: "OneHour", # accepts OneHour, OneDay, OneWeek
      start_timestamp: Time.now,
      end_timestamp: Time.now,
    },
  ],
})

Response structure


resp.summary_metric_query_results #=> Array
resp.summary_metric_query_results[0].query_id #=> String
resp.summary_metric_query_results[0].query_status #=> String, one of "Succeeded", "Failed"
resp.summary_metric_query_results[0].error #=> String
resp.summary_metric_query_results[0].metric_name #=> String, one of "DeviceRSSI", "DeviceSNR", "DeviceRoamingRSSI", "DeviceRoamingSNR", "DeviceUplinkCount", "DeviceDownlinkCount", "DeviceUplinkLostCount", "DeviceUplinkLostRate", "DeviceJoinRequestCount", "DeviceJoinAcceptCount", "DeviceRoamingUplinkCount", "DeviceRoamingDownlinkCount", "GatewayUpTime", "GatewayDownTime", "GatewayRSSI", "GatewaySNR", "GatewayUplinkCount", "GatewayDownlinkCount", "GatewayJoinRequestCount", "GatewayJoinAcceptCount", "AwsAccountUplinkCount", "AwsAccountDownlinkCount", "AwsAccountUplinkLostCount", "AwsAccountUplinkLostRate", "AwsAccountJoinRequestCount", "AwsAccountJoinAcceptCount", "AwsAccountRoamingUplinkCount", "AwsAccountRoamingDownlinkCount", "AwsAccountDeviceCount", "AwsAccountGatewayCount", "AwsAccountActiveDeviceCount", "AwsAccountActiveGatewayCount"
resp.summary_metric_query_results[0].dimensions #=> Array
resp.summary_metric_query_results[0].dimensions[0].name #=> String, one of "DeviceId", "GatewayId"
resp.summary_metric_query_results[0].dimensions[0].value #=> String
resp.summary_metric_query_results[0].aggregation_period #=> String, one of "OneHour", "OneDay", "OneWeek"
resp.summary_metric_query_results[0].start_timestamp #=> Time
resp.summary_metric_query_results[0].end_timestamp #=> Time
resp.summary_metric_query_results[0].timestamps #=> Array
resp.summary_metric_query_results[0].timestamps[0] #=> Time
resp.summary_metric_query_results[0].values #=> Array
resp.summary_metric_query_results[0].values[0].min #=> Float
resp.summary_metric_query_results[0].values[0].max #=> Float
resp.summary_metric_query_results[0].values[0].sum #=> Float
resp.summary_metric_query_results[0].values[0].avg #=> Float
resp.summary_metric_query_results[0].values[0].std #=> Float
resp.summary_metric_query_results[0].values[0].p90 #=> Float
resp.summary_metric_query_results[0].unit #=> String

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

Returns:



2308
2309
2310
2311
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 2308

def get_metrics(params = {}, options = {})
  req = build_request(:get_metrics, params)
  req.send_request(options)
end

#get_multicast_group(params = {}) ⇒ Types::GetMulticastGroupResponse

Gets information about a multicast group.

Examples:

Request syntax with placeholder values


resp = client.get_multicast_group({
  id: "MulticastGroupId", # required
})

Response structure


resp.arn #=> String
resp.id #=> String
resp.name #=> String
resp.description #=> String
resp.status #=> String
resp.lo_ra_wan.rf_region #=> String, one of "EU868", "US915", "AU915", "AS923-1", "AS923-2", "AS923-3", "AS923-4", "EU433", "CN470", "CN779", "RU864", "KR920", "IN865"
resp.lo_ra_wan.dl_class #=> String, one of "ClassB", "ClassC"
resp.lo_ra_wan.number_of_devices_requested #=> Integer
resp.lo_ra_wan.number_of_devices_in_group #=> Integer
resp.lo_ra_wan.participating_gateways.gateway_list #=> Array
resp.lo_ra_wan.participating_gateways.gateway_list[0] #=> String
resp.lo_ra_wan.participating_gateways.transmission_interval #=> Integer
resp.lo_ra_wan.default_session_parameters.dl_dr #=> Integer
resp.lo_ra_wan.default_session_parameters.dl_freq #=> Integer
resp.created_at #=> Time

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of the multicast group.

Returns:



2354
2355
2356
2357
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 2354

def get_multicast_group(params = {}, options = {})
  req = build_request(:get_multicast_group, params)
  req.send_request(options)
end

#get_multicast_group_session(params = {}) ⇒ Types::GetMulticastGroupSessionResponse

Gets information about a multicast group session.

Examples:

Request syntax with placeholder values


resp = client.get_multicast_group_session({
  id: "MulticastGroupId", # required
})

Response structure


resp.lo_ra_wan.dl_dr #=> Integer
resp.lo_ra_wan.dl_freq #=> Integer
resp.lo_ra_wan.session_start_time #=> Time
resp.lo_ra_wan.session_timeout #=> Integer
resp.lo_ra_wan.ping_slot_period #=> Integer

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of the multicast group.

Returns:



2384
2385
2386
2387
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 2384

def get_multicast_group_session(params = {}, options = {})
  req = build_request(:get_multicast_group_session, params)
  req.send_request(options)
end

#get_network_analyzer_configuration(params = {}) ⇒ Types::GetNetworkAnalyzerConfigurationResponse

Get network analyzer configuration.

Examples:

Request syntax with placeholder values


resp = client.get_network_analyzer_configuration({
  configuration_name: "NetworkAnalyzerConfigurationName", # required
})

Response structure


resp.trace_content.wireless_device_frame_info #=> String, one of "ENABLED", "DISABLED"
resp.trace_content.log_level #=> String, one of "INFO", "ERROR", "DISABLED"
resp.trace_content.multicast_frame_info #=> String, one of "ENABLED", "DISABLED"
resp.wireless_devices #=> Array
resp.wireless_devices[0] #=> String
resp.wireless_gateways #=> Array
resp.wireless_gateways[0] #=> String
resp.description #=> String
resp.arn #=> String
resp.name #=> String
resp.multicast_groups #=> Array
resp.multicast_groups[0] #=> String

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :configuration_name (required, String)

    Name of the network analyzer configuration.

Returns:



2427
2428
2429
2430
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 2427

def get_network_analyzer_configuration(params = {}, options = {})
  req = build_request(:get_network_analyzer_configuration, params)
  req.send_request(options)
end

#get_partner_account(params = {}) ⇒ Types::GetPartnerAccountResponse

Gets information about a partner account. If PartnerAccountId and PartnerType are null, returns all partner accounts.

Examples:

Request syntax with placeholder values


resp = client.({
  partner_account_id: "PartnerAccountId", # required
  partner_type: "Sidewalk", # required, accepts Sidewalk
})

Response structure


resp.sidewalk.amazon_id #=> String
resp.sidewalk.fingerprint #=> String
resp.sidewalk.arn #=> String
resp. #=> Boolean

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :partner_account_id (required, String)

    The partner account ID to disassociate from the AWS account.

  • :partner_type (required, String)

    The partner type.

Returns:



2462
2463
2464
2465
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 2462

def (params = {}, options = {})
  req = build_request(:get_partner_account, params)
  req.send_request(options)
end

#get_position(params = {}) ⇒ Types::GetPositionResponse

Get the position information for a given resource.

This action is no longer supported. Calls to retrieve the position information should use the GetResourcePosition API operation instead.

Examples:

Request syntax with placeholder values


resp = client.get_position({
  resource_identifier: "PositionResourceIdentifier", # required
  resource_type: "WirelessDevice", # required, accepts WirelessDevice, WirelessGateway
})

Response structure


resp.position #=> Array
resp.position[0] #=> Float
resp.accuracy.horizontal_accuracy #=> Float
resp.accuracy.vertical_accuracy #=> Float
resp.solver_type #=> String, one of "GNSS"
resp.solver_provider #=> String, one of "Semtech"
resp.solver_version #=> String
resp.timestamp #=> String

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :resource_identifier (required, String)

    Resource identifier used to retrieve the position information.

  • :resource_type (required, String)

    Resource type of the resource for which position information is retrieved.

Returns:



2513
2514
2515
2516
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 2513

def get_position(params = {}, options = {})
  req = build_request(:get_position, params)
  req.send_request(options)
end

#get_position_configuration(params = {}) ⇒ Types::GetPositionConfigurationResponse

Get position configuration for a given resource.

This action is no longer supported. Calls to retrieve the position configuration should use the GetResourcePosition API operation instead.

Examples:

Request syntax with placeholder values


resp = client.get_position_configuration({
  resource_identifier: "PositionResourceIdentifier", # required
  resource_type: "WirelessDevice", # required, accepts WirelessDevice, WirelessGateway
})

Response structure


resp.solvers.semtech_gnss.provider #=> String, one of "Semtech"
resp.solvers.semtech_gnss.type #=> String, one of "GNSS"
resp.solvers.semtech_gnss.status #=> String, one of "Enabled", "Disabled"
resp.solvers.semtech_gnss.fec #=> String, one of "ROSE", "NONE"
resp.destination #=> String

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :resource_identifier (required, String)

    Resource identifier used in a position configuration.

  • :resource_type (required, String)

    Resource type of the resource for which position configuration is retrieved.

Returns:



2557
2558
2559
2560
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 2557

def get_position_configuration(params = {}, options = {})
  req = build_request(:get_position_configuration, params)
  req.send_request(options)
end

#get_position_estimate(params = {}) ⇒ Types::GetPositionEstimateResponse

Get estimated position information as a payload in GeoJSON format. The payload measurement data is resolved using solvers that are provided by third-party vendors.

Examples:

Request syntax with placeholder values


resp = client.get_position_estimate({
  wi_fi_access_points: [
    {
      mac_address: "MacAddress", # required
      rss: 1, # required
    },
  ],
  cell_towers: {
    gsm: [
      {
        mcc: 1, # required
        mnc: 1, # required
        lac: 1, # required
        geran_cid: 1, # required
        gsm_local_id: {
          bsic: 1, # required
          bcch: 1, # required
        },
        gsm_timing_advance: 1,
        rx_level: 1,
        gsm_nmr: [
          {
            bsic: 1, # required
            bcch: 1, # required
            rx_level: 1,
            global_identity: {
              lac: 1, # required
              geran_cid: 1, # required
            },
          },
        ],
      },
    ],
    wcdma: [
      {
        mcc: 1, # required
        mnc: 1, # required
        lac: 1,
        utran_cid: 1, # required
        wcdma_local_id: {
          uarfcndl: 1, # required
          psc: 1, # required
        },
        rscp: 1,
        path_loss: 1,
        wcdma_nmr: [
          {
            uarfcndl: 1, # required
            psc: 1, # required
            utran_cid: 1, # required
            rscp: 1,
            path_loss: 1,
          },
        ],
      },
    ],
    tdscdma: [
      {
        mcc: 1, # required
        mnc: 1, # required
        lac: 1,
        utran_cid: 1, # required
        tdscdma_local_id: {
          uarfcn: 1, # required
          cell_params: 1, # required
        },
        tdscdma_timing_advance: 1,
        rscp: 1,
        path_loss: 1,
        tdscdma_nmr: [
          {
            uarfcn: 1, # required
            cell_params: 1, # required
            utran_cid: 1,
            rscp: 1,
            path_loss: 1,
          },
        ],
      },
    ],
    lte: [
      {
        mcc: 1, # required
        mnc: 1, # required
        eutran_cid: 1, # required
        tac: 1,
        lte_local_id: {
          pci: 1, # required
          earfcn: 1, # required
        },
        lte_timing_advance: 1,
        rsrp: 1,
        rsrq: 1.0,
        nr_capable: false,
        lte_nmr: [
          {
            pci: 1, # required
            earfcn: 1, # required
            eutran_cid: 1,
            rsrp: 1,
            rsrq: 1.0,
          },
        ],
      },
    ],
    cdma: [
      {
        system_id: 1, # required
        network_id: 1, # required
        base_station_id: 1, # required
        registration_zone: 1,
        cdma_local_id: {
          pn_offset: 1, # required
          cdma_channel: 1, # required
        },
        pilot_power: 1,
        base_lat: 1.0,
        base_lng: 1.0,
        cdma_nmr: [
          {
            pn_offset: 1, # required
            cdma_channel: 1, # required
            pilot_power: 1,
            base_station_id: 1,
          },
        ],
      },
    ],
  },
  ip: {
    ip_address: "IPAddress", # required
  },
  gnss: {
    payload: "GnssNav", # required
    capture_time: 1.0,
    capture_time_accuracy: 1.0,
    assist_position: [1.0],
    assist_altitude: 1.0,
    use_2_d_solver: false,
  },
  gnss_multi_frame: {
    captures: [ # required
      {
        payload: "GnssNav", # required
        capture_time: 1.0,
      },
    ],
    capture_time_accuracy: 1.0,
    assist_position: [1.0],
    assist_altitude: 1.0,
    use_2_d_solver: false,
  },
  timestamp: Time.now,
  advanced_configuration: {
    wi_fi_cellular: {
      confidence_percent: 1,
    },
  },
})

Response structure


resp.geo_json_payload #=> IO

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :wi_fi_access_points (Array<Types::WiFiAccessPoint>)

    Retrieves an estimated device position by resolving WLAN measurement data. The position is resolved using HERE's Wi-Fi based solver.

  • :cell_towers (Types::CellTowers)

    Retrieves an estimated device position by resolving measurement data from cellular radio towers. The position is resolved using HERE's cellular-based solver.

  • :ip (Types::Ip)

    Retrieves an estimated device position by resolving the IP address information from the device. The position is resolved using MaxMind's IP-based solver.

  • :gnss (Types::Gnss)

    Retrieves an estimated device position by resolving the global navigation satellite system (GNSS) scan data. The position is resolved using the GNSS solver powered by LoRa Cloud. This field is mutually exclusive with the GnssMultiFrame field.

  • :gnss_multi_frame (Types::GnssMultiFrame)

    Retrieves an estimated device position by resolving multiple global navigation satellite system (GNSS) scan captures. The position is resolved using the multi-frame GNSS solver powered by LoRa Cloud. This field is mutually exclusive with the Gnss field.

  • :timestamp (Time, DateTime, Date, Integer, String)

    Optional information that specifies the time when the position information will be resolved. It uses the Unix timestamp format. If not specified, the time at which the request was received will be used.

  • :advanced_configuration (Types::AdvancedConfiguration)

    Optional configuration for customizing position measurement data.

Returns:



2773
2774
2775
2776
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 2773

def get_position_estimate(params = {}, options = {}, &block)
  req = build_request(:get_position_estimate, params)
  req.send_request(options, &block)
end

#get_resource_event_configuration(params = {}) ⇒ Types::GetResourceEventConfigurationResponse

Get the event configuration for a particular resource identifier.

Examples:

Request syntax with placeholder values


resp = client.get_resource_event_configuration({
  identifier: "Identifier", # required
  identifier_type: "PartnerAccountId", # required, accepts PartnerAccountId, DevEui, GatewayEui, WirelessDeviceId, WirelessGatewayId
  partner_type: "Sidewalk", # accepts Sidewalk
})

Response structure


resp.device_registration_state.sidewalk.amazon_id_event_topic #=> String, one of "Enabled", "Disabled"
resp.device_registration_state.wireless_device_id_event_topic #=> String, one of "Enabled", "Disabled"
resp.proximity.sidewalk.amazon_id_event_topic #=> String, one of "Enabled", "Disabled"
resp.proximity.wireless_device_id_event_topic #=> String, one of "Enabled", "Disabled"
resp.join.lo_ra_wan.dev_eui_event_topic #=> String, one of "Enabled", "Disabled"
resp.join.wireless_device_id_event_topic #=> String, one of "Enabled", "Disabled"
resp.connection_status.lo_ra_wan.gateway_eui_event_topic #=> String, one of "Enabled", "Disabled"
resp.connection_status.wireless_gateway_id_event_topic #=> String, one of "Enabled", "Disabled"
resp.message_delivery_status.sidewalk.amazon_id_event_topic #=> String, one of "Enabled", "Disabled"
resp.message_delivery_status.wireless_device_id_event_topic #=> String, one of "Enabled", "Disabled"

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :identifier (required, String)

    Resource identifier to opt in for event messaging.

  • :identifier_type (required, String)

    Identifier type of the particular resource identifier for event configuration.

  • :partner_type (String)

    Partner type of the resource if the identifier type is PartnerAccountId.

Returns:



2822
2823
2824
2825
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 2822

def get_resource_event_configuration(params = {}, options = {})
  req = build_request(:get_resource_event_configuration, params)
  req.send_request(options)
end

#get_resource_log_level(params = {}) ⇒ Types::GetResourceLogLevelResponse

Fetches the log-level override, if any, for a given resource ID and resource type..

Examples:

Request syntax with placeholder values


resp = client.get_resource_log_level({
  resource_identifier: "ResourceIdentifier", # required
  resource_type: "ResourceType", # required
})

Response structure


resp.log_level #=> String, one of "INFO", "ERROR", "DISABLED"

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :resource_identifier (required, String)

    The unique identifier of the resource, which can be the wireless gateway ID, the wireless device ID, or the FUOTA task ID.

  • :resource_type (required, String)

    The type of resource, which can be WirelessDevice, WirelessGateway, or FuotaTask.

Returns:



2855
2856
2857
2858
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 2855

def get_resource_log_level(params = {}, options = {})
  req = build_request(:get_resource_log_level, params)
  req.send_request(options)
end

#get_resource_position(params = {}) ⇒ Types::GetResourcePositionResponse

Get the position information for a given wireless device or a wireless gateway resource. The position information uses the World Geodetic System (WGS84).

Examples:

Request syntax with placeholder values


resp = client.get_resource_position({
  resource_identifier: "PositionResourceIdentifier", # required
  resource_type: "WirelessDevice", # required, accepts WirelessDevice, WirelessGateway
})

Response structure


resp.geo_json_payload #=> IO

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :resource_identifier (required, String)

    The identifier of the resource for which position information is retrieved. It can be the wireless device ID or the wireless gateway ID, depending on the resource type.

  • :resource_type (required, String)

    The type of resource for which position information is retrieved, which can be a wireless device or a wireless gateway.

Returns:



2894
2895
2896
2897
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 2894

def get_resource_position(params = {}, options = {}, &block)
  req = build_request(:get_resource_position, params)
  req.send_request(options, &block)
end

#get_service_endpoint(params = {}) ⇒ Types::GetServiceEndpointResponse

Gets the account-specific endpoint for Configuration and Update Server (CUPS) protocol or LoRaWAN Network Server (LNS) connections.

Examples:

Request syntax with placeholder values


resp = client.get_service_endpoint({
  service_type: "CUPS", # accepts CUPS, LNS
})

Response structure


resp.service_type #=> String, one of "CUPS", "LNS"
resp.service_endpoint #=> String
resp.server_trust #=> String

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :service_type (String)

    The service type for which to get endpoint information about. Can be CUPS for the Configuration and Update Server endpoint, or LNS for the LoRaWAN Network Server endpoint.

Returns:



2927
2928
2929
2930
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 2927

def get_service_endpoint(params = {}, options = {})
  req = build_request(:get_service_endpoint, params)
  req.send_request(options)
end

#get_service_profile(params = {}) ⇒ Types::GetServiceProfileResponse

Gets information about a service profile.

Examples:

Request syntax with placeholder values


resp = client.get_service_profile({
  id: "ServiceProfileId", # required
})

Response structure


resp.arn #=> String
resp.name #=> String
resp.id #=> String
resp.lo_ra_wan.ul_rate #=> Integer
resp.lo_ra_wan.ul_bucket_size #=> Integer
resp.lo_ra_wan.ul_rate_policy #=> String
resp.lo_ra_wan.dl_rate #=> Integer
resp.lo_ra_wan.dl_bucket_size #=> Integer
resp.lo_ra_wan.dl_rate_policy #=> String
resp.lo_ra_wan. #=> Boolean
resp.lo_ra_wan.dev_status_req_freq #=> Integer
resp.lo_ra_wan.report_dev_status_battery #=> Boolean
resp.lo_ra_wan.report_dev_status_margin #=> Boolean
resp.lo_ra_wan.dr_min #=> Integer
resp.lo_ra_wan.dr_max #=> Integer
resp.lo_ra_wan.channel_mask #=> String
resp.lo_ra_wan.pr_allowed #=> Boolean
resp.lo_ra_wan.hr_allowed #=> Boolean
resp.lo_ra_wan.ra_allowed #=> Boolean
resp.lo_ra_wan.nwk_geo_loc #=> Boolean
resp.lo_ra_wan.target_per #=> Integer
resp.lo_ra_wan.min_gw_diversity #=> Integer
resp.lo_ra_wan.tx_power_index_min #=> Integer
resp.lo_ra_wan.tx_power_index_max #=> Integer
resp.lo_ra_wan.nb_trans_min #=> Integer
resp.lo_ra_wan.nb_trans_max #=> Integer

Parameters:

  • params (Hash) (defaults to: {})

    ({})

Options Hash (params):

  • :id (required, String)

    The ID of the resource to get.

Returns:



2981
2982
2983
2984
# File 'gems/aws-sdk-iotwireless/lib/aws-sdk-iotwireless/client.rb', line 2981

def get_service_profile(params = {}, options = {})
  req = build_request(:get_service_profile, params)
  req.send_request(options)
end

#get_wireless_device(params = {}) ⇒ Types::GetWirelessDeviceResponse

Gets information about a wireless device.

Examples:

Request syntax with placeholder values


resp = client.get_wireless_device({
  identifier: "Identifier", # required
  identifier_type: "WirelessDeviceId", # required, accepts WirelessDeviceId, DevEui, ThingName, SidewalkManufacturingSn
})

Response structure


resp.type #=> String, one of "Sidewalk", "LoRaWAN"
resp.name #=> String
resp.description #=> String
resp.destination_name #=> String
resp.id #=> String
resp.arn #=> String
resp.thing_name #=> String
resp.thing_arn #=> String
resp.lo_ra_wan.dev_eui #=> String
resp.lo_ra_wan.device_profile_id #=> String
resp.lo_ra_wan.service_profile_id #=> String
resp.lo_ra_wan.otaa_v1_1.app_key #=> String
resp.lo_ra_wan.otaa_v1_1.nwk_key #=> String
resp.lo_ra_wan.otaa_v1_1.join_eui #=> String
resp.lo_ra_wan.otaa_v1_0_x.app_key #=> String
resp.lo_ra_wan.otaa_v1_0_x.app_eui #=> String
[...]
